Loading...
Searching...
No Matches
Ogre::AlignedAllocator< T, Alignment > Struct Template Reference
Core » General

STL compatible wrapper for AlignedMemory. More...

`#include <OgreAlignedAllocator.h>`

Inheritance diagram for Ogre::AlignedAllocator< T, Alignment >:
[legend]

## Classes

struct | rebind

## Public Member Functions

| AlignedAllocator ()
template<class U>
| AlignedAllocator (const AlignedAllocator< U, Alignment > &other)
T * | allocate (size_t n)
T * | allocate (size_t n, const void *hint)
void | deallocate (T *p, size_t)

## Detailed Description

template<typename T, size_t Alignment>
struct Ogre::AlignedAllocator< T, Alignment >

STL compatible wrapper for AlignedMemory.

## Constructor & Destructor Documentation

## AlignedAllocator() [1/2]

template<typename T, size_t Alignment>

Ogre::AlignedAllocator< T, Alignment >::AlignedAllocator | ( |  | ) |

inline

## AlignedAllocator() [2/2]

template<typename T, size_t Alignment>
template<class U>

Ogre::AlignedAllocator< T, Alignment >::AlignedAllocator | ( | const AlignedAllocator< U, Alignment > & | other | ) |

inline

## Member Function Documentation

## allocate() [1/2]

template<typename T, size_t Alignment>

T * Ogre::AlignedAllocator< T, Alignment >::allocate | ( | size_t | n | ) |

inline

## allocate() [2/2]

template<typename T, size_t Alignment>

T * Ogre::AlignedAllocator< T, Alignment >::allocate | ( | size_t | n,
|  | const void * | hint )

inline

## deallocate()

template<typename T, size_t Alignment>

void Ogre::AlignedAllocator< T, Alignment >::deallocate | ( | T * | p,
|  | size_t | )

inline

The documentation for this struct was generated from the following file:

- OgreAlignedAllocator.h